## visad.data.dods
Class Int32VariableAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VariableAdapter
              visad.data.dods.Int32VariableAdapter

public class Int32VariableAdapter
extends VariableAdapter

Provides support for adapting DODS DInt32 variables to the VisAD data-import context.

Instances are immutable.

Method Summary
`DataImpl` `data(DInt32 var, boolean copy)` Returns the VisAD `DataImpl` corresponding to a DODS `DInt32`.
`MathType` `getMathType()` Returns the VisAD `MathType` of this instance.
`SimpleSet[]` `getRepresentationalSets(boolean copy)` Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FlatField`.
`static Int32VariableAdapter` `int32VariableAdapter(DInt32 var, DAS das)` Returns an instance of this class corresponding to a DODS `DInt32`.

Methods inherited from class visad.data.dods.VariableAdapter
`data, data, data, data, data, data, data, data, data, data, data, data, data, data, mathType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### int32VariableAdapter

    public static Int32VariableAdapter int32VariableAdapter(DInt32 var,
                                                            DAS das)
                                                     throws VisADException,
                                                            RemoteException

  Returns an instance of this class corresponding to a DODS `DInt32`.

  Parameters:
    `var` - The DODS variable. Only the DODS metadata is used: the variable needn't have any actual data.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    An instance of this class corresponding to the input arguments.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### getMathType

    public MathType getMathType()

  Returns the VisAD `MathType` of this instance.

  Specified by:
    `getMathType` in class `VariableAdapter`
  Returns:
    The MathType of this instance.

### getRepresentationalSets

    public SimpleSet[] getRepresentationalSets(boolean copy)

  Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FlatField`.

  Overrides:
    `getRepresentationalSets` in class `VariableAdapter`
  Parameters:
    `copy` - If true, then the array is cloned.
  Returns:
    The VisAD Sets used to represent the data values in the range of a FlatField. WARNING: Modify only under duress.

### data

    public DataImpl data(DInt32 var,
                         boolean copy)

  Returns the VisAD `DataImpl` corresponding to a DODS `DInt32`.

  Overrides:
    `data` in class `VariableAdapter`
  Parameters:
    `var` - The DODS variable to have the corresponding VisAD data object returned. The variable must be compatible with the variable used to construct this instance.
    `copy` - If true, then data values are copied.
  Returns:
    The VisAD data object of this instance. The class of the object will be `Real`.